/*
 * API documentation
 * No description provided (generated by Swagger Codegen https://github.com/swagger-api/swagger-codegen)
 *
 * OpenAPI spec version: 1.0.0-20181108155220-20181108155343
 * Contact: api.move@axa-assistance.com
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 */


package io.insurance.bn.starter.model;

import com.google.gson.annotations.SerializedName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.util.Objects;

/**
 * Quotes request data.
 */
@ApiModel(description = "Quotes request data.")
@javax.annotation.Generated(value = "io.swagger.codegen.languages.JavaClientCodegen", date = "2018-12-19T23:23:06.995+01:00")
public class Model228 {
  @SerializedName("service")
  private String service = null;

  @SerializedName("place_type")
  private String placeType = null;

  @SerializedName("current_location")
  private Model225 currentLocation = null;

  @SerializedName("destination_location")
  private Model226 destinationLocation = null;

  @SerializedName("vehicle")
  private Model227 vehicle = null;

  @SerializedName("to_schedule_on")
  private String toScheduleOn = null;

  public Model228 service(String service) {
    this.service = service;
    return this;
  }

   /**
   * Requested service. Expected values: &#39;TOWING&#39;, &#39;CRANING&#39;, &#39;ROADSIDE_REPAIR&#39;.
   * @return service
  **/
  @ApiModelProperty(example = "TOWING", required = true, value = "Requested service. Expected values: 'TOWING', 'CRANING', 'ROADSIDE_REPAIR'.")
  public String getService() {
    return service;
  }

  public void setService(String service) {
    this.service = service;
  }

  public Model228 placeType(String placeType) {
    this.placeType = placeType;
    return this;
  }

   /**
   * Place type where the vehicle is parked. Expected values: &#39;BASEMENT&#39;, &#39;HIGHWAY&#39;, &#39;MULTISTOREY_PARK&#39;, &#39;OTHER&#39;.
   * @return placeType
  **/
  @ApiModelProperty(example = "BASEMENT", required = true, value = "Place type where the vehicle is parked. Expected values: 'BASEMENT', 'HIGHWAY', 'MULTISTOREY_PARK', 'OTHER'.")
  public String getPlaceType() {
    return placeType;
  }

  public void setPlaceType(String placeType) {
    this.placeType = placeType;
  }

  public Model228 currentLocation(Model225 currentLocation) {
    this.currentLocation = currentLocation;
    return this;
  }

   /**
   * Get currentLocation
   * @return currentLocation
  **/
  @ApiModelProperty(required = true, value = "")
  public Model225 getCurrentLocation() {
    return currentLocation;
  }

  public void setCurrentLocation(Model225 currentLocation) {
    this.currentLocation = currentLocation;
  }

  public Model228 destinationLocation(Model226 destinationLocation) {
    this.destinationLocation = destinationLocation;
    return this;
  }

   /**
   * Get destinationLocation
   * @return destinationLocation
  **/
  @ApiModelProperty(value = "")
  public Model226 getDestinationLocation() {
    return destinationLocation;
  }

  public void setDestinationLocation(Model226 destinationLocation) {
    this.destinationLocation = destinationLocation;
  }

  public Model228 vehicle(Model227 vehicle) {
    this.vehicle = vehicle;
    return this;
  }

   /**
   * Get vehicle
   * @return vehicle
  **/
  @ApiModelProperty(value = "")
  public Model227 getVehicle() {
    return vehicle;
  }

  public void setVehicle(Model227 vehicle) {
    this.vehicle = vehicle;
  }

  public Model228 toScheduleOn(String toScheduleOn) {
    this.toScheduleOn = toScheduleOn;
    return this;
  }

   /**
   * Date and time requested by the customer to schedule the service - UTC datetime, RFC3339 format (YYYY-MM-DDTHH:mmZ).
   * @return toScheduleOn
  **/
  @ApiModelProperty(value = "Date and time requested by the customer to schedule the service - UTC datetime, RFC3339 format (YYYY-MM-DDTHH:mmZ).")
  public String getToScheduleOn() {
    return toScheduleOn;
  }

  public void setToScheduleOn(String toScheduleOn) {
    this.toScheduleOn = toScheduleOn;
  }


  @Override
  public boolean equals(java.lang.Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    Model228 model228 = (Model228) o;
    return Objects.equals(this.service, model228.service) &&
        Objects.equals(this.placeType, model228.placeType) &&
        Objects.equals(this.currentLocation, model228.currentLocation) &&
        Objects.equals(this.destinationLocation, model228.destinationLocation) &&
        Objects.equals(this.vehicle, model228.vehicle) &&
        Objects.equals(this.toScheduleOn, model228.toScheduleOn);
  }

  @Override
  public int hashCode() {
    return Objects.hash(service, placeType, currentLocation, destinationLocation, vehicle, toScheduleOn);
  }


  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class Model228 {\n");
    
    sb.append("    service: ").append(toIndentedString(service)).append("\n");
    sb.append("    placeType: ").append(toIndentedString(placeType)).append("\n");
    sb.append("    currentLocation: ").append(toIndentedString(currentLocation)).append("\n");
    sb.append("    destinationLocation: ").append(toIndentedString(destinationLocation)).append("\n");
    sb.append("    vehicle: ").append(toIndentedString(vehicle)).append("\n");
    sb.append("    toScheduleOn: ").append(toIndentedString(toScheduleOn)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(java.lang.Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }

}

